unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ExtCtrls, LedScroll, ColorGrd;

type
  TForm1 = class(TForm)
    LedScroll1: TLedScroll;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Button1: TButton;
    TrackBar1: TTrackBar;
    Edit1: TEdit;
    ColorGrid1: TColorGrid;
    TrackBar2: TTrackBar;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    StaticText3: TStaticText;
    StaticText4: TStaticText;
    StaticText5: TStaticText;
    Button2: TButton;
    Button3: TButton;
    procedure TrackBar1Change(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure ColorGrid1Change(Sender: TObject);
    procedure Edit1Exit(Sender: TObject);
    procedure TrackBar2Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
LedScroll1.PixelSize:=TrackBar1.Position;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
LedScroll1.AniType:=TAniType(ComboBox1.ItemIndex);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
ComboBox1.ItemIndex:=Ord(LedScroll1.AniType);
ComboBox2.ItemIndex:=Ord(LedScroll1.Alignment);
LedScroll1.DefaultColor:=ColorGrid1.ForegroundColor;
LedScroll1.Activate;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
LedScroll1.Activate;
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
LedScroll1.Alignment:=TAlignment (ComboBox2.ItemIndex);
end;

procedure TForm1.ColorGrid1Change(Sender: TObject);
begin
LedScroll1.DefaultColor:=ColorGrid1.ForegroundColor;
end;

procedure TForm1.Edit1Exit(Sender: TObject);
begin
LedScroll1.Text:=Edit1.Text;

end;

procedure TForm1.TrackBar2Change(Sender: TObject);
begin
LedScroll1.AniTimes:=TrackBar2.Position;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
LedScroll1.Appear;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
LedScroll1.StopIt;
end;

end.
